package com.dxhy.common.utils;

import java.util.Random;

/**
 * @author Allen
 * @version 1.0.0
 * @ClassName RandomUtils.java
 * @Description 随机字符串生成
 * @createTime 2024年03月22日 11:36:00
 */
public class RandomUtils {
    /**
     * 根据需要生成指定长度的纯数字随机数,这个随机数的每一位都是从(0-9)这个产生的一位
     * @return
     */
    public static String getRandomCode(int codeLen) {
        Random randomCode = new Random();
        String strCode = "";
        while (codeLen > 0) {
            int charCode = randomCode.nextInt(9);
            strCode += charCode;
            codeLen--;
        }
        return strCode;
    }
}
